#!/bin/bash

base='
Raimondi/delimitMate
honza/vim-snippets
tpope/vim-surround
szw/vim-tags
scrooloose/nerdtree
airblade/vim-gitgutter
vim-airline/vim-airline
SirVer/ultisnips
djmoch/vim-makejob
tpope/vim-commentary
leafgarland/typescript-vim
majutsushi/tagbar
vim-scripts/xoria256.vim
pangloss/vim-javascript
tpope/vim-dispatch
mileszs/ack.vim
tpope/vim-repeat
kien/ctrlp.vim
mhinz/vim-signify
w0rp/ale
plasticboy/vim-markdown
justmao945/vim-clang
Valloric/YouCompleteMe
jlanzarotta/bufexplorer
chriskempson/base16-vim
'

# Make sure basic packages are installed
for url in $base ; do
    user="`echo $url | cut -d "/" -f 1`"
    repo="`echo $url | cut -d "/" -f 2`"
    if [[ ! -e $repo ]] ; then
        git clone https://github.com/$user/$repo
    fi
done

# Now go for the upgrade

cwd="`pwd`"
elements="`/bin/ls`"

for element in $elements ; do
    cd $cwd
    if [[ -d $element ]] ; then
        cd $element
        if [[ -d .git ]] ; then
           echo "Updating ${element}..."
           git pull
           echo
        fi
    fi
done
